package cn.sh.stc.sict.theme.hpgp.model;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 黄浦全科导诊——科室排名(HpgpDepartmentRank)表实体类
 *
 * @author zhangly
 * @since 2022-01-14 09:56:47
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class HpgpDepartmentRank extends Model<HpgpDepartmentRank> {
    private Integer id;
    //标准科室
    @ApiModelProperty(hidden = false, value = "标准科室")
    private String standardDept;
    //医院代码
    @ApiModelProperty(hidden = false, value = "医院代码")
    private String hospitalCode;
    //医院名称
    @ApiModelProperty(hidden = false, value = "医院名称")
    private String hospitalName;

    @ApiModelProperty(hidden = false, value = "一级科室代码")
    private String oneDeptCode;
    //科室代码
    @ApiModelProperty(hidden = false, value = "科室代码")
    private String deptCode;
    //科室名称
    @ApiModelProperty(hidden = false, value = "科室名称")
    private String deptName;
    //科室排名
    @ApiModelProperty(hidden = false, value = "科室排名")
    private Integer rankScore;

    private String tag;

    private String resourceOutPatInfo;

    private String resourceDoctInfo;



    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
